## EAttachmentBar

EAttachmentBar

## Functions

GtkWidget * | e_attachment_bar_new ()
gint | e_attachment_bar_get_active_view ()
void | e_attachment_bar_set_active_view ()
gboolean | e_attachment_bar_get_expanded ()
void | e_attachment_bar_set_expanded ()
EAttachmentStore * | e_attachment_bar_get_store ()

## Properties

gint | active-view | Read / Write / Construct
gboolean | expanded | Read / Write / Construct
EAttachmentStore * | store | Read / Write / Construct Only

## Types and Values

struct | EAttachmentBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EAttachmentBar

## Implemented Interfaces

EAttachmentBar implements AtkImplementorIface, GtkBuildable, GtkOrientable and EAttachmentView.

## Description

## Functions

### e_attachment_bar_new ()

    GtkWidget *
    e_attachment_bar_new (EAttachmentStore *store);

### e_attachment_bar_get_active_view ()

    gint
    e_attachment_bar_get_active_view (EAttachmentBar *bar);

### e_attachment_bar_set_active_view ()

    void
    e_attachment_bar_set_active_view (EAttachmentBar *bar,
                                      gint active_view);

### e_attachment_bar_get_expanded ()

    gboolean
    e_attachment_bar_get_expanded (EAttachmentBar *bar);

### e_attachment_bar_set_expanded ()

    void
    e_attachment_bar_set_expanded (EAttachmentBar *bar,
                                   gboolean expanded);

### e_attachment_bar_get_store ()

    EAttachmentStore *
    e_attachment_bar_get_store (EAttachmentBar *bar);

## Types and Values

### struct EAttachmentBar

    struct EAttachmentBar;

## Property Details

### The `“active-view”` property

      “active-view”              gint

Flags: Read / Write / Construct

Allowed values: [0,2]

Default value: 0

### The `“expanded”` property

      “expanded”                 gboolean

Flags: Read / Write / Construct

Default value: FALSE

### The `“store”` property

      “store”                    EAttachmentStore *

Flags: Read / Write / Construct Only